## xssproxy 1.0.0

=== Makefile ===
bindir = /usr/local/bin
man1dir = /usr/local/share/man/man1

CFLAGS = -std=c11 -Wall -pedantic -g -O3
CFLAGS_ALL = `pkg-config --cflags --libs glib-2.0 x11 xscrnsaver dbus-1` $(CFLAGS)

.PHONY: all
all: xssproxy xssproxy.1.gz

xssproxy: xssproxy.c
	$(CC) -o xssproxy xssproxy.c $(CFLAGS_ALL) $(CPPFLAGS) $(LDFLAGS)

xssproxy.1.gz: man/xssproxy.1
	gzip -c man/xssproxy.1 > xssproxy.1.gz

install: xssproxy xssproxy.1.gz
	install -D xssproxy $(DESTDIR)$(bindir)/xssproxy
	install -D -m644 xssproxy.1.gz $(DESTDIR)$(man1dir)/xssproxy.1.gz

.PHONY: uninstall
uninstall:
	$(RM) $(DESTDIR)$(bindir)/xssproxy
	$(RM) $(DESTDIR)$(man1dir)/xssproxy.1.gz

.PHONY: clean
clean:
	$(RM) xssproxy
	$(RM) xssproxy.1.gz

=== debian/changelog ===
xssproxy (1.0.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:51 +1100

xssproxy (1.0.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:18:33 +0000

xssproxy (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #872805)

 -- Tim Schumacher <tim@timakro.de>  Tue, 22 Aug 2017 16:57:23 +0200

=== debian/control ===
Source: xssproxy
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tim Schumacher <tim@timakro.de>
Build-Depends: debhelper (>= 10), libglib2.0-dev, libx11-dev, libxss-dev, libdbus-1-dev
Standards-Version: 4.1.0
Homepage: https://github.com/timakro/xssproxy

Package: xssproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Forward freedesktop.org Idle Inhibition Service calls to Xss
 xssproxy implements the org.freedesktop.ScreenSaver D-Bus interface described
 in the Idle Inhibition Service Draft by the freedesktop.org developers. The
 inhibition of the screensaver is then controlled using the XScreenSaverSuspend
 function from the Xss (X11 Screen Saver extension) library.
 .
 This package is useful when using a lightweight window manager with the X
 built-in screensaver. For example Firefox uses the org.freedesktop.ScreenSave
 D-Bus interface to disable the screensaver when playing videos. This package
 implements that interface and disables the X built-in screensaver in that
 case. A possible use case is to install this package with the xmonad window
 manager and the display locker tools xssstate and slock included in the
 suckless-tools package. All the major full-featured desktop environments like
 GNOME come with a built-in implementation of the beforementioned D-Bus
 interface and thus make no sense to be used with this package.

=== debian/watch ===
version=4
opts="filenamemangle=s%/timakro/xssproxy/archive/v(\d+\.\d+\.\d+)\.tar\.gz%\
                       xssproxy-$1.tar.gz%, \
      pgpsigurlmangle=s%/timakro/xssproxy/archive/v(\d+\.\d+\.\d+)\.tar\.gz%\
                        /timakro/xssproxy/releases/download/v$1/xssproxy-$1.tar.gz.asc%" \
      https://github.com/timakro/xssproxy/releases \
      /timakro/xssproxy/archive/v(\d+\.\d+\.\d+)\.tar\.gz debian uupdate

## xssproxy 1.1.1

=== debian/changelog ===
xssproxy (1.1.1-1) unstable; urgency=medium

  * Add myself as an uploader (Closes: #1101889)
  * Maintain package in Package Salvaging Team
  * Change upstream to https://github.com/vincentbernat/xssproxy
  * New upstream version 1.1.1:
    - Fix cross platform build (Closes: #969382)
    - Listen on object path /org/freedesktop/ScreenSaver too
      (Closes: #1092965)
    - Update license, project is now using MIT
  * Update Standards-Version to 4.7.2, no change needed
  * Use debhelper-compat 13
  * Add git-buildpackage configuration (pristine-tar)
  * Enable Salsa CI using default template
  * Use HTTPS in copyright
  * Update github watch file, using the template in uscan(1) manual
  * Drop install.patch, pass path as make arguments
  * Pass CFLAGS as make argument to override those in Makefile
  * Add upstream metadata

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sat, 05 Apr 2025 09:29:29 +0200

## xssproxy 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 bindir = /usr/local/bin
 man1dir = /usr/local/share/man/man1
 
-CFLAGS = -std=c11 -Wall -pedantic -g -O3
-CFLAGS_ALL = `pkg-config --cflags --libs glib-2.0 x11 xscrnsaver dbus-1` $(CFLAGS)
+PKG_CONFIG ?= pkg-config
+CFLAGS = -Wall -g -O3
+CFLAGS_ALL = `$(PKG_CONFIG) --cflags --libs glib-2.0 x11 xscrnsaver dbus-1` -std=c11 $(CFLAGS)
 
 .PHONY: all
 all: xssproxy xssproxy.1.gz

=== debian/changelog ===
xssproxy (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2:
    - Do not use cookie with a zero value (Closes: #1115458)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Thu, 18 Sep 2025 18:04:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,26 @@
 Source: xssproxy
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tim Schumacher <tim@timakro.de>
-Build-Depends: debhelper (>= 10), libglib2.0-dev, libx11-dev, libxss-dev, libdbus-1-dev
-Standards-Version: 4.1.0
-Homepage: https://github.com/timakro/xssproxy
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders:
+ Tim Schumacher <tim@timakro.de>,
+ Nicolas Schodet <nico@ni.fr.eu.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libdbus-1-dev,
+ libglib2.0-dev,
+ libx11-dev,
+ libxss-dev,
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/salvage-team/xssproxy.git
+Vcs-Browser: https://salsa.debian.org/salvage-team/xssproxy
+Homepage: https://github.com/vincentbernat/xssproxy
 
 Package: xssproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Forward freedesktop.org Idle Inhibition Service calls to Xss
  xssproxy implements the org.freedesktop.ScreenSaver D-Bus interface described
  in the Idle Inhibition Service Draft by the freedesktop.org developers. The

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MAKE_FLAGS = \
	CFLAGS="$(CFLAGS)" \
	bindir=/usr/bin man1dir=/usr/share/man/man1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(MAKE_FLAGS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_FLAGS)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/vincentbernat/xssproxy/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
